<!--<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="job-detail-box">
                        <div class="acrdn-cont-inr">
                            <div class="row">
                                <div class="col-6">
                                    <p>
                                        <strong>Industry</strong>
                                        <span> {{jobDetailsList?.industryDetails.industryName}} </span>
                                    </p>
                                </div>

                                <div class="col-6">
                                    <p>
                                        <strong>Pay Type</strong>
                                        <span>{{jobDetailsList?.payType | titlecase}}</span>
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <strong>Job Role</strong>
                                        <span> {{jobDetailsList?.jobDetails.roleWiseAction.roleName}}</span>
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <strong>Job Type</strong>
                                        <span>{{jobDetailsList?.jobType | titlecase}}</span>
                                    </p>
                                </div>

                                 <div class="col-6">
                                    <p>
                                        <strong>Pay Type</strong>
                                        <span>{{jobDetailsList?.payType}}</span>
                                    </p>
                                </div>

                                <div class="col-6">
                                    <p>
                                        <strong>No of Staff</strong>
                                        <span>{{jobDetailsList?.noOfStuff}}</span>
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <strong>Rate P/h</strong>
                                        <span>£{{jobDetailsList?.pay}}</span>
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <strong>Exp. Required</strong>
                                        <span> ?2 years</span>
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <strong>Overtime</strong>
                                        <span>?2 hrs</span>
                                    </p>
                                </div>
                                 <div class="col-6">
                                    <p>
                                        <strong>Skills</strong>
                                        <span *ngFor="let skill of jobDetailsList?.skillDetails[0]">
                                            <span> {{skill.name}} , </span>
                                        </span>
                                    </p>
                                </div> 
                                <div class="col-12">
                                    <p>
                                        <strong>Skills</strong>
                                        <span *ngFor="let skill of jobDetailsList?.skillDetails; let i = index">
                                            <span *ngIf='i>0'>,</span> {{skill.skillName}}

                                        </span>
                                    </p>
                                </div>
                                <div class="col-12">
                                    <p>
                                        <strong>Date & Time</strong>
                                        <span *ngFor="let shift of jobDetailsList?.setTime">
                                            <li style="list-style-type: none;" *ngIf='shift.startDate == shift.endDate'>
                                                {{shift.startDate | date: 'dd/MM/yyyy'}}
                                                ({{shift.startTime.replace(".",":")}} -
                                                {{shift.endTime.replace(".",":")}} ) </li>
                                            <li style="list-style-type: none;" *ngIf='shift.startDate != shift.endDate'>
                                                {{shift.startDate | date: 'dd/MM/yyyy'}} - {{shift.endDate | date:
                                                'dd/MM/yyyy'}} ({{shift.startTime.replace(".",":")}} -
                                                {{shift.endTime.replace(".",":")}} ) </li>

                                        </span>
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="job-detail-box" *ngIf="jobDetailsList?.appiliedFrom.length">
                        <h4>Jobs Applied By Candidates</h4>

                        <div class="emp-candidt" *ngFor="let candidate of jobDetailsList?.appiliedFrom">
                            <ul>
                                <li> {{candidate.fname }} {{candidate.mname }} {{candidate.lname }} </li>
                                <li>
                                    <a href="javascript:void(0);" (click)="viewCandidateProfile(candidate.candidateId)"
                                        class="btn">View Profile</a>
                                </li>
                                <li>
                                    <a href="javascript:void(0);"
                                        (click)="openOptionModal(informationPopUp, candidate.candidateId , candidate.fname+' '+candidate.mname+' '+candidate.lname)"
                                        class="btn">Appt/Msg</a>
                                </li> 
                            </ul>
                        </div>

                        <div class="emp-candidt">
                            <ul>
                                <li>Employee 2</li>
                                <li><a href="#" class="btn">View Profile</a></li>
                                <li><a href="#" class="btn">Appt/Msg</a></li>
                            </ul>
                        </div>
                        <div class="emp-candidt">
                            <ul>
                                <li>Employee 3</li>
                                <li><a href="#" class="btn">View Profile</a></li>
                                <li><a href="#" class="btn">Appt/Msg</a></li>
                            </ul>
                        </div> 
                    </div>

                    <div class="job-detail-box" *ngIf="jobDetailsList?.hireList.length">
                        <h4>Hired Candidates</h4>

                        <div class="emp-candidt" *ngFor="let candidate of jobDetailsList?.hireList">
                            <ul>
                                <li> {{candidate.fname }} {{candidate.mname }} {{candidate.lname }} </li>

                                <li>
                                    <a href="javascript:void(0);"
                                        (click)="openOptionModal(informationPopUp, candidate.candidateId , candidate.fname+' '+candidate.mname+' '+candidate.lname ,candidate.profilePic  )"
                                        class="btn">Appt/Msg/log</a>
                                </li>
                                <li><a href="javascript:void(0);" (click)="viewCandidateProfile(candidate.candidateId)"
                                        class="btn">View Profile</a></li>
                                <li *ngIf= 'checkVariable == "jobposted"'><a href="javascript:void(0);"
                                        class="btn" (click)='cancelJOB(candidate.candidateId)'>Remove</a></li>
                            </ul>
                        </div>
                    </div>


                    <div class="job-detail-box" *ngIf="jobDetailsList?.acceptList.length">
                        <h4>Jobs Accepted By Candidates </h4>

                        <div class="emp-candidt" *ngFor="let candidate of jobDetailsList?.acceptList">
                            <ul>
                                <li> {{candidate.fname }} {{candidate.mname }} {{candidate.lname }} </li>
                                <li><a href="javascript:void(0);" (click)="viewCandidateProfile(candidate.candidateId)"
                                        class="btn">View Profile</a></li>
                                <<li>
                                    <a href="javascript:void(0);"
                                        (click)="openOptionModal(informationPopUp, candidate.candidateId , candidate.fname+' '+candidate.mname+' '+candidate.lname)"
                                        class="btn">Appt/Msg</a>
                                </li> 
                            </ul>
                        </div>
                    </div>

                    <div class="job-detail-box" *ngIf="jobDetailsList?.rejectList?.length">
                        <h4>Jobs Rejected By Candidates</h4>

                        <div class="emp-candidt" *ngFor="let candidate of jobDetailsList?.rejectList">
                            <ul>
                                <li> {{candidate.fname }} {{candidate.mname }} {{candidate.lname }} </li>
                                <li><a href="javascript:void(0);" (click)="viewCandidateProfile(candidate.candidateId)"
                                        class="btn">View Profile</a></li>
                                <li>
                                    <a href="javascript:void(0);"
                                        (click)="openOptionModal(informationPopUp, candidate.candidateId , candidate.fname+' '+candidate.mname+' '+candidate.lname)"
                                        class="btn">Appt/Msg</a>
                                </li> 
                            </ul>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div> -->
<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="job-details">
                        <div class="single-appoinment">
                            <strong>Industry</strong>
                            <p>{{jobDetailsList?.industryDetails.industryName}}</p>
                        </div>

                        <div class="single-appoinment">
                            <strong>Job Roles</strong>
                            <span><i class="fas fa-user-alt"></i> {{jobDetailsList?.jobDetails.roleWiseAction.roleName}}</span>
                            <div class="checkboxes">
                                <span *ngFor="let skill of jobDetailsList?.skillDetails; let i = index">
                                    <!-- <input type="checkbox" id="check1" name="" value="" /> -->
                                    <label for="check1">{{skill.skillName}}</label>
                                </span>
                                <!-- <span>
                                   
                                    <label for="check2"> Heavy Lifting</label>
                                </span>
                                <span>
                                   
                                    <label for="check3"> Heavy Lifting</label>
                                </span>
                                <span>
                                   
                                    <label for="check4"> Heavy Lifting</label>
                                </span>
                                <span>
                                    
                                    <label for="check5"> Heavy Lifting</label>
                                </span> -->
                            </div>
                        </div>

                        <div class="single-appoinment">
                            <p><strong>Job Type :</strong> {{jobDetailsList?.jobType | titlecase}}</p>
                        </div>

                        <div class="single-appoinment">
                            <p><strong>Rate P/H :</strong> £{{jobDetailsList?.pay}}</p>
                        </div>

                        <div class="single-appoinment">
                            <p><strong> No. Of Staff :</strong> {{jobDetailsList?.noOfStuff}}</p>
                        </div>

                        <div class="single-appoinment">
                            <strong>Date & Time :</strong>
                            <ng-container *ngFor="let shift of jobDetailsList?.setTime">
                                <p style="list-style-type: none;" *ngIf='shift.startDate == shift.endDate'>
                                    {{shift.startDate | date: 'dd/MM/yyyy'}}
                                    ({{shift.startTime.replace(".",":")}} -
                                    {{shift.endTime.replace(".",":")}} ) </p>
                                <p style="list-style-type: none;" *ngIf='shift.startDate != shift.endDate'>
                                    {{shift.startDate | date: 'dd/MM/yyyy'}} - {{shift.endDate | date:
                                    'dd/MM/yyyy'}} ({{shift.startTime.replace(".",":")}} -
                                    {{shift.endTime.replace(".",":")}} ) </p>

                            </ng-container>
                            <!-- <p>05.05.2021 - 06.05.21</p>
                            <p>05.05.2021 - 06.05.21</p>
                            <p>05.05.2021 - 06.05.21</p> -->
                        </div>

                        <div class="single-appoinment" *ngIf="jobDetailsList?.appiliedFrom.length">
                            <h2 class="text-center">Jobs Applied By Candidates</h2>
                        </div>
                        <ng-container *ngIf="jobDetailsList?.appiliedFrom.length">
                        <div class="single-appoinment"  *ngFor="let candidate of jobDetailsList?.appiliedFrom;let i = index">
                            <ng-container *ngIf="i < 5 && !showapplies">
                            <div class="row align-items-center">
                                <div class="col-sm-6">
                                    <p><i><img src="{{candidate?.profilePic}}">{{candidate.fname }} {{candidate.mname }} {{candidate.lname }}</i></p>
                                </div>
                                <!-- <div class="col-sm-3">
                                    <p><a class="btn mw-auto" href="javascript:void(0);"
                                        (click)="openOptionModal(informationPopUp, candidate.candidateId , candidate.fname+' '+candidate.mname+' '+candidate.lname ,candidate.profilePic  )">App/Msg/Log</a></p>
                                </div> -->
                                <div class="col-sm-6">
                                    <p><a class="btn mw-auto" href="javascript:void(0);" (click)="viewCandidateProfile(candidate.candidateId)">View Profile</a></p>
                                </div>
                                <!-- <div class="col-sm-3">
                                    <p *ngIf= 'checkVariable == "jobposted"'><a href="javascript:void(0);"
                                        class="btn mw-auto" (click)='cancelJOB(candidate.candidateId)'>Remove</a></p>
                                </div> -->
                            </div>
                            </ng-container>
                            <ng-container *ngIf="showapplies">
                            <div class="row align-items-center">
                                <div class="col-sm-6">
                                    <p><i><img src="{{candidate?.profilePic}}">{{candidate.fname }} {{candidate.mname }} {{candidate.lname }}</i></p>
                                </div>
                                <!-- <div class="col-sm-3">
                                    <p><a class="btn mw-auto" href="javascript:void(0);"
                                        (click)="openOptionModal(informationPopUp, candidate.candidateId , candidate.fname+' '+candidate.mname+' '+candidate.lname ,candidate.profilePic  )">App/Msg/Log</a></p>
                                </div> -->
                                <div class="col-sm-6">
                                    <p><a class="btn mw-auto" href="javascript:void(0);" (click)="viewCandidateProfile(candidate.candidateId)">View Profile</a></p>
                                </div>
                                <!-- <div class="col-sm-3">
                                    <p *ngIf= 'checkVariable == "jobposted"'><a href="javascript:void(0);"
                                        class="btn mw-auto" (click)='cancelJOB(candidate.candidateId)'>Remove</a></p>
                                </div> -->
                            </div>
                            </ng-container>
                        </div>
                    </ng-container>
                    <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="!showArrowApllied && jobDetailsList?.appiliedFrom.length>5">
                        <a href="javascript:void(0);" (click)="showapplidMoreRole()" tooltip="Show More"> <i class="fas fa-angle-down"></i></a>
                     </div>
                     <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="showArrowApllied && jobDetailsList?.appiliedFrom.length>5">
                         <a href="javascript:void(0);" (click)="showappliedLessRole()" tooltip="Show Less"> <i class="fas fa-angle-up"></i></a>
                      </div>

                        <div class="single-appoinment" *ngIf="jobDetailsList?.hireList.length">
                            <h2 class="text-center">Hired Candidates</h2>
                        </div>
                        <ng-container *ngIf="jobDetailsList?.hireList.length">
                        <div class="single-appoinment"  *ngFor="let candidate of jobDetailsList?.hireList;let i = index">
                            <ng-container *ngIf="i < 5 && !showRole">
                            <div class="row align-items-center">
                                <div class="col-sm-3">
                                    <p><i><img src="{{candidate?.profilePic}}">{{candidate.fname }} {{candidate.mname }} {{candidate.lname }}</i></p>
                                </div>
                                <div class="col-sm-3">
                                    <p><a class="btn mw-auto" href="javascript:void(0);"
                                        (click)="openOptionModal(informationPopUp, candidate.candidateId , candidate.fname+' '+candidate.mname+' '+candidate.lname ,candidate.profilePic  )">App/Msg/Log</a></p>
                                </div>
                                <div class="col-sm-3">
                                    <p><a class="btn mw-auto" href="javascript:void(0);" (click)="viewCandidateProfile(candidate.candidateId)">View Profile</a></p>
                                </div>
                                <div class="col-sm-3">
                                    <p *ngIf= 'checkVariable == "jobposted"'><a href="javascript:void(0);"
                                        class="btn mw-auto" (click)='cancelJOB(candidate.candidateId)'>Remove</a></p>
                                </div>
                            </div>
                            </ng-container>
                            <ng-container *ngIf="showRole">
                            <div class="row align-items-center">
                                <div class="col-sm-3">
                                    <p><i><img src="{{candidate?.profilePic}}">{{candidate.fname }} {{candidate.mname }} {{candidate.lname }}</i></p>
                                </div>
                                <div class="col-sm-3">
                                    <p><a class="btn mw-auto" href="javascript:void(0);"
                                        (click)="openOptionModal(informationPopUp, candidate.candidateId , candidate.fname+' '+candidate.mname+' '+candidate.lname ,candidate.profilePic  )">App/Msg/Log</a></p>
                                </div>
                                <div class="col-sm-3">
                                    <p><a class="btn mw-auto" href="javascript:void(0);" (click)="viewCandidateProfile(candidate.candidateId)">View Profile</a></p>
                                </div>
                                <div class="col-sm-3">
                                    <p *ngIf= 'checkVariable == "jobposted"'><a href="javascript:void(0);"
                                        class="btn mw-auto" (click)='cancelJOB(candidate.candidateId)'>Remove</a></p>
                                </div>
                            </div>
                            </ng-container>
                        </div>
                    </ng-container>
                    <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="!showArraow && jobDetailsList?.hireList.length>5">
                        <a href="javascript:void(0);" (click)="showMoreRole()" tooltip="Show More"> <i class="fas fa-angle-down"></i></a>
                     </div>
                     <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="showArraow && jobDetailsList?.hireList.length>5">
                         <a href="javascript:void(0);" (click)="showLessRole()" tooltip="Show Less"> <i class="fas fa-angle-up"></i></a>
                      </div>
                        <!-- <div class="single-appoinment">
                            <div class="row align-items-center">
                                <div class="col-sm-4">
                                    <p><i class="fas fa-user-alt"></i> Mark Williams</p>
                                </div>
                                <div class="col-sm-4">
                                    <p><a href="#" class="btn mw-auto">App/Msg/Log</a></p>
                                </div>
                                <div class="col-sm-4">
                                    <p><a href="#" class="btn mw-auto">View Profile</a></p>
                                </div>
                            </div>
                        </div>
                        <div class="single-appoinment">
                            <div class="row align-items-center">
                                <div class="col-sm-4">
                                    <p><i class="fas fa-user-alt"></i> Mark Williams</p>
                                </div>
                                <div class="col-sm-4">
                                    <p><a href="#" class="btn mw-auto" >App/Msg/Log</a></p>
                                </div>
                                <div class="col-sm-4">
                                    <p><a href="#" class="btn mw-auto" >View Profile</a></p>
                                </div>
                            </div>
                        </div> -->

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<ng-template #informationPopUp>
    <div class="modal-header">
        <h4 class="modal-title"> Select Your Options </h4>
    </div>
    <div class="modal-body">

        <div class="row">
            <div class="col-4">
                <input type="radio" value="appointment" name="selectOption" (change)="selectOtion('appointment')">
                <span> Appointment </span>
            </div>
            <div class="col-4">
                <input type="radio" value="message" name="selectOption" (change)="selectOtion('message')">
                <span> Message </span>
            </div>
            <div class="col-4">
                <input type="radio" value="worklog" name="selectOption" (change)="selectOtion('worklog')">
                <span> Work Log </span>
            </div>
        </div>
        <div class="btn-set">
            <a href="javascript:void(0);" (click)="candidateAction()" class="btn border" style="margin: 5px ">Yes</a>
            <a href="javascript:void(0);" (click)="modalRef.hide()" class="btn border" style="margin:5px">No</a>
        </div>
    </div>
</ng-template>